$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.84.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.84.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '2C02EE0D5EABC180F77240E96CFA60F726F0EBE25C5937CFB32CB1F6C1BAA253'
  checksumType = 'sha256'
  checksum64 = '2C02EE0D5EABC180F77240E96CFA60F726F0EBE25C5937CFB32CB1F6C1BAA253'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-22.0.84-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
